<template>
  <div class="grid-item subgrid">
    <navigation class="navigation grid-item dive-card" />
    <router-view
      :key="$route.path"
      name="additionalData"
      class="additionalData firstElement dive-card"
    />
    <router-view
      :key="$route.path"
      name="lineChart"
      class="lineChart secondElement dive-card"
    />
    <router-view :key="$route.path" name="map" class="thirdElement dive-card" />
    <router-view
      :key="$route.path"
      name="default"
      class="fourthElement dive-card"
    />
  </div>
</template>

<script>
import navigation from "@/components/navigation";
export default {
  components: {
    navigation,
  },
  name: "no-name",
};
</script>

<style scoped>
.subgrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: subgrid;
  column-gap: 0.5em;
  row-gap: 0.5em;
}
.grid-item.navigation {
  grid-column: 1 / 2;
  grid-row: 1 / 6;
}
.grid-item.additional-data {
  grid-column: 2 / 3;
  grid-row: 1 / 3;
  align-content: center;
}
.additionalData {
  grid-column: 2/3;
  grid-row: 1/2;
}
.secondElement {
  grid-column: 3/5;
  grid-row: 1/2;
}
.thirdElement {
  grid-column: 2/4;
  grid-row: 2/3;
}
.fourthElement {
  grid-column: 4/5;
  grid-row: 2/3;
  min-height: 400px;
}

@media (max-width: 800px) {
  .subgrid {
    display: grid;
    grid-template-columns: 3fr 4fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
  }

  .grid-item.navigation {
    grid-column: 1 / 2;
    grid-row: 1 / 6;
  }

  .firstElement {
    grid-column: 2/3;
    grid-row: 1/2;
  }

  .secondElement {
    grid-column: 2/3;
    grid-row: 2/3;
  }
  .thirdElement {
    grid-column: 2/3;
    grid-row: 3/4;
    min-height: 400px;
  }
  .fourthElement {
    grid-column: 2/3;
    grid-row: 4/5;
  }
}
</style>
